import { type Base, genBase } from './_base'
import type { medicalActionTypeCodeKey } from '~/lib/constants'

export interface MedicalActionSrc extends Base {
  code: string
  name: string
  type_code: medicalActionTypeCodeKey
  item_id: number
}

export function genMedicalActionSrc(): MedicalActionSrc {
  return {
    ...genBase(),
    code: '',
    name: '',
    type_code: '',
    item_id: 0,
  }
}
